安装docker时,遇到Loaded plugins…怎么办

前言

Hey,大家好,我是码农,星期八,我们在安装Docker时,通常下面三条命令就能安装成功。

# 下载Docker依赖
yum -y install yun-utils device-mapper-persistent-data lvm2
# 设置一个下载Docker镜像源
yum -y install yum-utils
# 配置下载源
yum-config-manager --add-repo http://mirrors.aliyun.com/docker-ce/linux/centos/docker-ce.repo
# 安装Docker
yum makecache fast
yum -y install docker-ce

但是通常情况下,我们在执行这条命令时,会报报一个错!!!

yum -y install yum-utils

报错信息

Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
No package yum-util available.
Error: Nothing to do

图片

这个该怎么办呢???

解决办法

出现这个错误,通常是第一次安装Docker才会出现。

报错信息翻译过来如下

加载插件:fastestmirror, langpacks
从缓存的主机文件加载镜像速度
没有包yum-util可用。
错误:啥都没做

大概可以了解,应该是加载插件的问题。

步骤

1、禁用fastestmirror插件

编辑fastestmirror.conf文件

vim /etc/yum/pluginconf.d/fastestmirror.conf

将enabled=1改为enabled=0,保存

2、修改yum的配置文件,不使用插件。

编辑yum.conf文件

vim /etc/yum.conf

将plugins=1改为plugins=0

如果还不行

如果通过上述两步,可能是缺少epel

安装epel

yum install epel-release

总结

其实遇到这个问题,说大也不大,但是就是碰到烦人,所以就记录一下。

操作使用的是vim,不会的记得学一下哈。

如果在操作过程中有任何问题,记得下面留言,我们看到会第一时间解决问题。

越努力,越幸运。

我是码农星期八,如果觉得还不错,记得动手点赞一下哈。感谢你的观看。

看完本文有收获?请转发分享给更多的人

IT共享之家

入群请在微信后台回复【入群】

——————- End ——————-

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注